﻿/* 通用样式 */
body {
    font-family: Arial, "Microsoft YaHei", sans-serif;
    margin: 0;
    padding: 0;
    line-height: 1.6;
    color: #333;
}

/* 头部样式 */
header {
    background-color: #333;
    color: white;
    padding: 10px 0;
}

.header-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 20px;
}

.logo img {
    height: 60px;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    margin-left: 20px;
}

nav a {
    color: white;
    text-decoration: none;
    transition: color 0.3s ease;
}

nav a:hover {
    color: #ccc;
}

/* 轮播图样式 */
.slider {
    overflow: hidden;
    position: relative;
    height: 200px;
    width: 100%;
	border-radius:5px;
}

.slide-track {
    display: flex;
    /* width: calc(10* 200px); */
    animation: slowSlide 20s linear infinite;
    height: 100%;
}

.slide {
    width: 200px;
    flex-shrink: 0;
    height: 100%;
	border-radius: 5px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
	overflow: hidden;
	margin: 0 3px;
}

.slide img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

@keyframes slowSlide {
    0% {
        transform: translateX(0);
    }
    10% {
        transform: translateX(-10%);
    }
    20% {
        transform: translateX(-20%);
    }
    30% {
        transform: translateX(-30%);
    }
    40% {
        transform: translateX(-40%);
    }
    50% {
        transform: translateX(-50%);
    }
    60% {
        transform: translateX(-60%);
    }
    70% {
        transform: translateX(-70%);
    }
    80% {
        transform: translateX(-80%);
    }
    90% {
        transform: translateX(-90%);
    }
    100% {
        transform: translateX(0);
    }
}

/* 各部分通用样式 */
section {
    max-width: 1200px;
    margin: 0 auto;
    padding: 50px 20px;
}

section h2 {
    text-align: center;
    margin-bottom: 30px;
}

.group-meal-images img,
.cafeteria-images img {
    width: 300px;
    height: 200px;
    margin: 10px;
    border-radius: 5px;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.3);
}

/* 页脚样式 */
footer {
    background-color: #333;
    color: white;
    margin-top: 50px;
}

.copyright {
    text-align: center;
    margin-top: 20px;
}